Technical FAQs

Ask a Question

PME 7.2.2/8.1: CU Update September 2016 stops on "Check Current Version"

Issue
Schneider Electric has become aware of a vulnerability in the licensing brick of Power Monitoring Expert. This vulnerability could allow a remote, unauthenticated attacker to potentially execute arbitrary code on the server.

Flexera Software FlexNet Publisher is a software license manager that is part of the Power Monitoring Expert licensing brick. Multiple buffer overflows in (1) lmgrd and (2) Vendor Daemon in Flexera FlexNet Publisher before 11.13.1.2 Security Update 1 allow remote attackers to execute arbitrary code via a crafted packet with opcode (a) 0x107 or (b) 0x10a.

When attempting to install the Cumulative Update - September 2016 for PME 7.2.2 or PME 8.1, the installer fails at the check current version step during the check system phase. The error is: "An Existing installation could not be found on your system. Please validate that your existing system can be validly upgraded to this version. The installation will now exit."

Product Line
Power Monitoring Expert 7.2.2, 8.1

Environment
Struxureware Power Monitoring Expert

Cause
An earlier string value "CumulativeUpdateVersion" with an incorrect version is causing the installer to fail.

Resolution
*Warning: This article contains information about editing the registry. Improper changes to the registry can permanently damage the operating system. Always backup the registry before making any changes.* 

For PME 8.0 systems, upgrade the the latest build of PME 8.1.

Delete the CumulativeUpdateVersion string value from the reg key:

For PME 8.1: HKLM\SOFTWARE\WOW6432Node\Schneider Electric\Power Monitoring Expert\8.1\Cumulative Updates

For PME 7.2.2: 
HKLM\SOFTWARE\WOW6432Node\Schneider Electric\ION Enterprise\7.2.2\Cumulative Updates

Was this helpful?
What can we do to improve the information ?